package annotation

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
)

var RequestMappingAnnotationType = reflect.TypeOf((*RequestMappingAnnotation)(nil))

func init() {
	cda.RegisterAnnotation(RequestMappingAnnotationType)
}

type RequestMappingAnnotation struct {
	cda.TypeAnnotation `@annotation:"@overflow:RequestMapping"`
	Method             string   `@annotation:"method"`
	Entry              string   `@annotation:"entry"`
	Params             []string `@annotation:"params"`
}
