package config

type Proxy struct {
	Host     string `json:"host,omitempty" yaml:"host" toml:"host"`
	Port     int    `json:"port,omitempty" yaml:"port" toml:"port"`
	UseAuth  bool   `default:"false" json:"useAuth,omitempty" yaml:"useAuth" toml:"useAuth"`
	User     string `json:"user,omitempty" yaml:"user" toml:"user"`
	Password string `json:"password,omitempty" yaml:"password" toml:"password"`
}
