package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
)

type MetaSensorItemKey struct {
	ID                 json.Number         `json:"id,Number,omitempty"`
	MetaSensorItem     *MetaSensorItem     `json:"metaSensorItem,omitempty"`
	Key                string              `json:"key,omitempty"`
	Froms              string              `json:"froms,omitempty"`
	Option             string              `json:"option,omitempty"`
	MetaCrawler        *MetaCrawler        `json:"metaCrawler,omitempty"`
	CreateDate         *util.Timestamp     `json:"createDate,omitempty"`
	MetaSensorItemUnit *MetaSensorItemUnit `json:"metaSensorItemUnit,omitempty"`
}
