package probe

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type ProbeTask struct {
	ID                json.Number             `json:"id,Number,omitempty"`
	MetaProbeTaskType *meta.MetaProbeTaskType `json:"metaProbeTaskType,omitempty"`
	Probe             *Probe                  `json:"probe,omitempty"`
	Data              string                  `json:"data,omitempty"`
	CreateDate        *util.Timestamp         `json:"createDate,omitempty"`
	SendDate          *util.Timestamp         `json:"sendDate,omitempty"`
	StartDate         *util.Timestamp         `json:"startDate,omitempty"`
	EndDate           *util.Timestamp         `json:"endDate,omitempty"`
	Succeed           bool                    `json:"succeed,omitempty"`
}
