package discovery

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
)

type Host struct {
	Zone *Zone `json:"zone"`

	ID   json.Number `json:"id,Number,omitempty"`
	IPV4 string      `json:"ipv4,omitempty"`
	IPV6 string      `json:"ipv6,omitempty"`
	Mac  string      `json:"mac,omitempty"`
	OS   string      `json:"os,omitempty"`

	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`
}
