package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
)

type MetaSensorItem struct {
	ID                 json.Number         `json:"id,Number,omitempty"`
	MetaSensorItemType *MetaSensorItemType `json:"metaSensorItemType,omitempty"`
	Key                string              `json:"key,omitempty"`
	Name               string              `json:"name,omitempty"`
	CreateDate         *util.Timestamp     `json:"createDate,omitempty"`
}
