package sensorconfig

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/constants"
)

type Connection struct {
	IP       string             `json:"ip,omitempty"`
	Port     json.Number        `json:"port,Number,omitempty"`
	PortType constants.PortType `json:"portType,omitempty"`
	SSL      bool               `json:"ssl,omitempty"`
}
